## ros-galactic-tracetools-test 2.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tracetools_test)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)

option(TRACETOOLS_DISABLED "Explicitly disable support for tracing with LTTng" OFF)
if(NOT TRACETOOLS_DISABLED)
  # Set TRACING_ENABLED if we can find lttng-ust
  find_package(PkgConfig)
  if(PkgConfig_FOUND)
    pkg_check_modules(LTTNG lttng-ust)
    if(LTTNG_FOUND)
      set(TRACING_ENABLED TRUE)
    endif()
  endif()
endif()

# Tests
if(BUILD_TESTING)
  # tracetools is exported by rclcpp
  find_package(lifecycle_msgs REQUIRED)
  find_package(rclcpp REQUIRED)
  find_package(rclcpp_lifecycle REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(std_srvs REQUIRED)

  add_executable(test_publisher
    src/test_publisher.cpp
  )
  ament_target_dependencies(test_publisher
    rclcpp
    std_msgs
  )
  add_executable(test_intra
    src/test_intra.cpp
  )
  ament_target_dependencies(test_intra
    rclcpp
    std_msgs
  )
  add_executable(test_lifecycle_node
    src/test_lifecycle_node.cpp
  )
  ament_target_dependencies(test_lifecycle_node
    rclcpp
    rclcpp_lifecycle
  )
  add_executable(test_lifecycle_client
    src/test_lifecycle_client.cpp
  )
  ament_target_dependencies(test_lifecycle_client
    lifecycle_msgs
    rclcpp
  )
  add_executable(test_ping
    src/test_ping.cpp
  )
  ament_target_dependencies(test_ping
    rclcpp
    std_msgs
  )
  add_executable(test_pong
    src/test_pong.cpp
  )
  ament_target_dependencies(test_pong
    rclcpp
    std_msgs
  )
  add_executable(test_timer
    src/test_timer.cpp
  )
  ament_target_dependencies(test_timer
    rclcpp
  )
  add_executable(test_service_ping
    src/test_service_ping.cpp
  )
  ament_target_dependencies(test_service_ping
    rclcpp
    std_srvs
  )
  add_executable(test_service_pong
    src/test_service_pong.cpp
  )
  ament_target_dependencies(test_service_pong
    rclcpp
    std_srvs
  )

  install(TARGETS
    test_intra
    test_lifecycle_node
    test_lifecycle_client
    test_ping
    test_pong
    test_publisher
    test_service_ping
    test_service_pong
    test_timer
    DESTINATION lib/${PROJECT_NAME}
  )

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  # Only build tracing tests if LTTng is enabled and found
  if(TRACING_ENABLED)
    find_package(tracetools REQUIRED)
    find_package(ament_cmake_gtest REQUIRED)
    ament_add_gtest(test_utils test/test_utils.cpp)
    if(TARGET test_utils)
      ament_target_dependencies(test_utils
        tracetools
      )
    endif()

    find_package(ament_cmake_pytest REQUIRED)
    set(_tracetools_test_pytest_tests
      test/test_intra.py
      test/test_lifecycle_node.py
      test/test_node.py
      test/test_pub_sub.py
      test/test_publisher.py
      test/test_service.py
      test/test_subscription.py
      test/test_timer.py
    )
    foreach(_test_path ${_tracetools_test_pytest_tests})
      get_filename_component(_test_name ${_test_path} NAME_WE)
      ament_add_pytest_test(${_test_name} ${_test_path}
        APPEND_ENV PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}
        TIMEOUT 60
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
      )
    endforeach()
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-galactic-tracetools-test (2.3.0-2focal) focal; urgency=high

  * Update after namespacing C++ tracetools functions and macros
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 31 Mar 2021 07:00:00 -0000

ros-galactic-tracetools-test (2.2.0-2focal) focal; urgency=high

  * Add tests for rcl_publish and rclcpp_publish tracepoints
  * Allow asserting order of list of events
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 29 Mar 2021 07:00:00 -0000

ros-galactic-tracetools-test (2.1.0-2focal) focal; urgency=high

  * Allow skipping test trace cleanup by setting an environment variable
  * Add test for timer-node linking instrumentation
  * Increased code coverage > 94% as part of QL1
  * Contributors: Christophe Bedard, Ingo Lütkebohle, Alejandro Hernández Cordero

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 13 Jan 2021 08:00:00 -0000

ros-galactic-tracetools-test (2.0.0-2focal) focal; urgency=high

  * Add lifecycle node state transition instrumentation test
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 12 Oct 2020 07:00:00 -0000

ros-galactic-tracetools-test (1.0.0-2focal) focal; urgency=high

  * Add test_depend on python3-pytest-cov for tracetools_test
  * Call ament_add_pytest_test only once for tracetools_test
  * Move test_utils from tracetools to tracetools_test
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 24 Apr 2020 07:00:00 -0000

ros-galactic-tracetools-test (0.3.0-2focal) focal; urgency=high

  * Merge and update service test to cover callback registration
  * Fix default value for events_kernel in TraceTestCase
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 04 Mar 2020 08:00:00 -0000

ros-galactic-tracetools-test (0.2.12-2focal) focal; urgency=high

  * Use imperative mood in constructor docstring.
  * Contributors: Christophe Bedard, Steven! Ragnarök

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Dec 2019 08:00:00 -0000

ros-galactic-tracetools-test (0.2.11-2focal) focal; urgency=high

  * Fix working directory for tracetools_test Python tests
  * Fix version regex to support multi-digit numbers
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Dec 2019 08:00:00 -0000

ros-galactic-tracetools-test (0.2.10-2focal) focal; urgency=high

  * Update tests after new intra-process communications
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 17 Nov 2019 08:00:00 -0000

ros-galactic-tracetools-test (0.2.6-2focal) focal; urgency=high

  * Fix "do_more" check for test_ping/test_pong
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 16 Aug 2019 07:00:00 -0000

ros-galactic-tracetools-test (0.2.3-2focal) focal; urgency=high

  * Fix Windows warnings
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 05 Aug 2019 07:00:00 -0000

ros-galactic-tracetools-test (0.2.0-2focal) focal; urgency=high

  * Enable tracing by default if LTTng is available
  * Contributors: Christophe Bedard, Tobias Blass

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 30 Jul 2019 07:00:00 -0000

ros-galactic-tracetools-test (0.1.1-2focal) focal; urgency=high

  * Disable tracing-related tests by default
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 16 Jul 2019 07:00:00 -0000

ros-galactic-tracetools-test (0.1.0-2focal) focal; urgency=high

  * Add tracetools_test package with utilities
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 11 Jul 2019 07:00:00 -0000

=== debian/control ===
Source: ros-galactic-tracetools-test
Section: misc
Priority: optional
Maintainer: Christophe Bedard <bedard.christophe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), pkg-config, python3-pytest, python3-pytest-cov, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-ament-cmake-mypy, ros-galactic-ament-cmake-pytest, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-launch-ros, ros-galactic-lifecycle-msgs, ros-galactic-rclcpp, ros-galactic-rclcpp-lifecycle, ros-galactic-std-msgs, ros-galactic-std-srvs, ros-galactic-tracetools, ros-galactic-tracetools-launch, ros-galactic-tracetools-read, ros-galactic-ros-workspace
Homepage: https://index.ros.org/p/tracetools_test/
Standards-Version: 3.9.2

Package: ros-galactic-tracetools-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-lifecycle-msgs, ros-galactic-rclcpp, ros-galactic-rclcpp-lifecycle, ros-galactic-std-msgs, ros-galactic-std-srvs, ros-galactic-ros-workspace
Description: Testing utilities and tests for the tracetools package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-tracetools-test//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
